Announcement

Collapse
No announcement yet.

VLC Media Player To Receive VDPAU Support

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • VLC Media Player To Receive VDPAU Support

    Phoronix: VLC Media Player To Receive VDPAU Support

    Back when NVIDIA introduced VDPAU they had provided a set of patches that implemented this video API within the MPlayer and FFmpeg projects. Since the introduction of the Video Decode and Presentation API for Unix, the community has come up with VDPAU support for MythTV and most recently the Xine media player picked up VDPAU support. This afternoon we now have word that the VLC media player will be picking up VDPAU support. The VLC project currently has two developers working on implementing this video API that currently is only used by NVIDIA's binary driver...

    http://www.phoronix.com/vr.php?view=Njk1NA

  • #2
    And no signs of AMD AVIVO HD being implemented on drivers, just a bunch of disabled files, oh man, I can't take this any longer, I'm installing the GTX260 that I just bought to use Linux...

    NVIDIA really kick in and gave linux users a definite advantage over ATI right now.

    Comment


    • #3
      I hope you don't get screen corruptions with it like with my 8800 GTS 512. Can you watch h264 via DVB?

      Comment


      • #4
        Well, with fglrx 8.12 there is a package called libamdxvba1 and Xorg.0.log reports that UVD2 is available, so I hope, that AMD wont be left behind and will bring some interesting changes with upcoming drivers ;-)

        Anyway nvidia is on the fire right now ;-)

        Comment


        • #5
          Well that package would not work because the .cap file is missing. With my script I add the missing file, but there is no header to compile any app against it.

          Comment


          • #6
            Originally posted by Kano View Post
            Well that package would not work because the .cap file is missing. With my script I add the missing file, but there is no header to compile any app against it.
            Isn't it be possible to dump the symbols and deduce the header from the mangled names? I think Michael said that Amd's API is a simple extension to the existing video decode acceleration (sorry, I can't remember yet another acronym ) - I'm not saying it's worth the effort, but it could make for a fun afternoon.

            Comment


            • #7
              There is another lib which can be used for XvMC when you compile mplayer against it, but usually you only need accelleration for h264 not for simple mpeg1/2.

              Comment


              • #8
                What is bad about the linux implementation from ati (even before we know any details about it's implentation) is the fac that it only supports uvd2 which severly limits the number of users able to take advantage of said acceleration vs nvidia which accepts all gpu's with video decode capability.

                Whats funny is that uvd is far more capable than the first iteration of nvidia purevideoHD

                Comment


                • #9
                  Well VDPAU is for me unstable and has tearing. I guess it will still take a few month till those bugs are solved. Don't know how far ATI is with their implementation. But they need to release also a sample code not to stay behind Nvidia.

                  Comment


                  • #10
                    Which cards support VDPAU? (G7x, G8x, or?)

                    Comment


                    • #11
                      Originally posted by BlackStar View Post
                      Which cards support VDPAU? (G7x, G8x, or?)
                      http://www.nvnews.net/vbulletin/showthread.php?t=123091

                      Cards that support VC-1 list is incomplete as well. G98 cards (newer 8400GS and 9400 cards) should be able to do it and 8200/8300 igps are proven to work as well.
                      Last edited by deanjo; 12-23-2008, 06:38 PM.

                      Comment


                      • #12
                        I would say G9x, complete (incl. VC1) I guess only G98 right now.

                        Comment


                        • #13
                          Yet another player supporting VDPAU? Pfft.
                          At this rate, the real question is: When will VDPAU support come to xorg-video-ati or xorg-video-radeonhd? (I'm not counting on Xorg-video-intel)

                          Seriously, XvBA is long-time no-see, zero player supporting, likely-no-better than DxVA bullet-point on AMD's roadmap, XvMC is insufficient and VA-API is vaporware.

                          I'm really close to being in the market for a new graphics/mobo. If it weren't for nvidia's horrible track record with chipsets and recent problems with GPUs dying, I'd go for GeForce in a heartbeat. Since that just isn't the case, the current "purchase candidate" is a AMD 780G-based board, using 'that other OS' for now and hope for usable, supported solution to come along.

                          Comment


                          • #14
                            Originally posted by Kano View Post
                            I would say G9x, complete (incl. VC1) I guess only G98 right now.
                            Well you can't say G9x as the G92 does not support VC-1 decode.

                            Comment


                            • #15
                              I did not say that, i only mentioned G98 for VC-1. Anything wrong with it?

                              Comment

                              Working...
                              X